# $Revision: 1.19 $, $Date: 2003/11/16 17:43:26 $
#
# Conditional build:
# _without_dist_kernel          without distribution kernel
#
%define		_kernel24	%(echo %{_kernel_ver} | grep -qv '2\.4\.' ; echo $?)
%if %{_kernel24}
%define	_ver	1.02d
%else
%define	_ver	1.01d
%endif

Summary:	D-Link Sundance driver for Linux
Summary(pl):	Sterownik do karty D-Link Sundance dla Linuksa
Name:		kernel-net-sundance
Version:	%{_ver}
%define	_rel	8
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Base/Kernel
# version 1.01d for kernel 2.2
Source0:	ftp://ftp.dlink.co.uk/pub/adapters/dfe-550tx/dlh5x-2.2.tgz
# Source0-md5:	584401fe67226d1b56cec39e3f7888ca
# version 1.02d for kernel 2.4
# from "ftp://ftp.dlink.co.uk/pub/adapters/dfe-580tx/linux 2.4x.tgz"
Source1:	dlink-sundance.tar.gz
# Source1-md5:	8b5fe5f29db3480ab2c5167e831604d3
Patch0:		%{name}-header.patch
%{!?_without_dist_kernel:BuildRequires:	kernel-headers }
BuildRequires:	%{kgcc_package}
BuildRequires:	rpmbuild(macros) >= 1.118
%{!?_without_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod
Provides:	kernel(sundance)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
D-Link Sundance driver for Linux. It supports D-Link DFE-550TX (Fast
Ethernet), DFE-530TXS (Fast Ethernet 10/100), DFE-550FX
(Fiber-optics), DFE-580TX (Quad Channel) and DL10050-based (Gigabit
Ethernet) cards.

%description -l pl
Sterownik do kart D-Link Sundance dla Linuksa. Obsuguje karty D-Link
DFE-550TX (Fast Ethernet), DFE-530TXS (Fast Ethernet 10/100),
DFE-550FX (wiatowodowe), DFE-580TX (4-portowe) oraz oparte na
DL10050 (Gigabit Ethernet).

%package -n kernel-smp-net-sundance
Summary:	D-Link Sundance driver for Linux SMP
Summary(pl):	Sterownik do karty D-Link Sundance dla Linuksa SMP
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod
Provides:	kernel(sundance)

%description -n kernel-smp-net-sundance
D-Link Sundance driver for Linux SMP. It supports D-Link DFE-550TX
(Fast Ethernet), DFE-530TXS (Fast Ethernet 10/100), DFE-550FX
(Fiber-optics), DFE-580TX (Quad Channel) and DL10050-based (Gigabit
Ethernet) cards.


%description -n kernel-smp-net-sundance -l pl
Sterownik do karty D-Link Sundance dla Linuksa SMP. Obsuguje karty
D-Link DFE-550TX (Fast Ethernet), DFE-530TXS (Fast Ethernet 10/100),
DFE-550FX (wiatowodowe), DFE-580TX (4-portowe) oraz oparte na
DL10050 (Gigabit Ethernet).

%prep
%if %{_kernel24}
%setup -q -T -b1 -n dlink-sundance
%else
%setup -q -c
%patch -p1
%endif

%build
%{__make} CC="%{kgcc}" \
	CFLAGS="%{rpmcflags} -D__KERNEL__ -DMODULE -D__SMP__ \
%ifarch %{ix86}
	-DCONFIG_X86_LOCAL_APIC \
%endif
	-Wall -I%{_kernelsrcdir}/include"
mv -f sundance.o sundance-smp
%{__make} clean
%{__make} CC="%{kgcc}" \
	CFLAGS="%{rpmcflags} -D__KERNEL__ -DMODULE -Wall -I%{_kernelsrcdir}/include"

%install
rm -rf $RPM_BUILD_ROOT

install -D sundance-smp $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/sundance.o
install -D sundance.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/sundance.o

%clean
rm -rf $RPM_BUILD_ROOT

%pre
FNAME="`find /lib/modules/%{_kernel_ver} -name sundance.o`"
if [ -f "$FNAME" ]; then
	mv -f "$FNAME" `echo "$FNAME" |sed 's/\.o/_old.o/'`
fi

%post
%depmod %{_kernel_ver}

%postun
FNAME="`find /lib/modules/%{_kernel_ver} -name sundance_old.o`"
if [ -f "$FNAME" ]; then
	mv -f "$FNAME" `echo "$FNAME" |sed 's/_old.o/\.o/'`
fi
%depmod %{_kernel_ver}

%pre	-n kernel-smp-net-sundance
FNAME="`find /lib/modules/%{_kernel_ver}smp -name sundance.o`"
if [ -f "$FNAME" ]; then
	mv -f "$FNAME" `echo "$FNAME" |sed 's/\.o/_old.o/'`
fi

%post	-n kernel-smp-net-sundance
%depmod %{_kernel_ver}smp

%postun	-n kernel-smp-net-sundance
FNAME="`find /lib/modules/%{_kernel_ver}smp -name sundance_old.o`"
if [ -f "$FNAME" ]; then
	mv -f "$FNAME" `echo "$FNAME" |sed 's/_old.o/\.o/'`
fi
%depmod %{_kernel_ver}smp

%files
%defattr(644,root,root,755)
%doc readme.txt
/lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-net-sundance
%defattr(644,root,root,755)
%doc readme.txt
/lib/modules/%{_kernel_ver}smp/misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel-net-sundance.spec,v $
Revision 1.19  2003/11/16 17:43:26  krzak
- fixed _kernel24 definition

Revision 1.18  2003/08/12 22:32:48  ankry
- cosmetics

Revision 1.17  2003/07/10 13:33:20  trojan
- added using depmod macro

Revision 1.16  2003/05/28 12:59:20  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:49:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/05/16 08:33:42  trojan
- fixed depmod in %%post and %%postun when build with _without_dist_kernel

Revision 1.13  2003/05/14 14:42:44  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.12  2003/03/23 23:28:55  blues
- release 8; rebuild with 2.2.25

Revision 1.11  2002/11/17 18:33:34  kloczek
- release 7: rebuild against kernel 2.2.22-6.

Revision 1.10  2002/09/30 15:54:27  kloczek
- release 6: rebuild against kernel 2.2.22.

Revision 1.9  2002/08/18 17:35:28  kloczek
- release 5: rebuild against kernel 2.2.21.

Revision 1.8  2002/06/30 10:05:17  marcus
- rel.4.

Revision 1.7  2002/06/30 09:55:29  marcus
- fixed compiling on ppc

Revision 1.6  2002/06/20 16:19:18  kloczek
- simplification in %install.

Revision 1.5  2002/06/20 13:52:05  qboosh
- driver for Linux 2.2 has version 1.01d, for Linux 2.4 there is 1.02d -
  select proper driver depending on kernel headers version
- use optflags, fixes in SMP compilation
- simplified pre/postun, longer descriptions
- release 3

Revision 1.4  2002/06/19 21:57:07  adgor
- Changed source file
- Corrected descriptions
- Corrected %%pre, %%postun
- Release 2

Revision 1.3  2002/06/19 11:15:20  qboosh
- noted URL, completed descriptions, fixed Provides in smp package

Revision 1.2  2002/06/18 13:04:33  orzech
- script fixes

Revision 1.1  2002/06/18 12:47:36  orzech
- new
